Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Class HL7ValidationControlInfo

    java.lang.Object
      com.stc.connector.tcpip.hl7.msg.HL7ValidationControlInfo

All Implemented Interfaces:
  HL7ValidationControlInfoInterface

    public class HL7ValidationControlInfo

extends java.lang.Object
implements HL7ValidationControlInfoInterface

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/04/22 05:54:46 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7ValidationControlInfo()` Constructor for HL7ValidationControlInfo.

Method Summary
`boolean` | `getAutoValidateIncomingMessage()` Method getAutoValidateIncomingMessage.
`boolean` | `getAutoValidateOutgoingMessage()` Method getAutoValidateOutgoingMessage.
`boolean` | `getThrowExceptionUponValidationFailure()` Method getThrowExceptionUponValidationFailure.
`boolean` | `isAutoValidateIncomingMessage()` Method isAutoValidateIncomingMessage.
`boolean` | `isAutoValidateOutgoingMessage()` Method isAutoValidateOutgoingMessage.
`boolean` | `isThrowExceptionUponValidationFailure()` Method isThrowExceptionUponValidationFailure.
`void` | `setAutoValidateIncomingMessage(boolean b)` Method setAutoValidateIncomingMessage.
`void` | `setAutoValidateOutgoingMessage(boolean b)` Method setAutoValidateOutgoingMessage.
`void` | `setThrowExceptionUponValidationFailure(boolean b)` Method setThrowExceptionUponValidationFailure.
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7ValidationControlInfo

    public HL7ValidationControlInfo()
                             throws HL7ApplicationException

  Constructor for HL7ValidationControlInfo.

  Throws:
    `HL7ApplicationException`

Method Detail

### isAutoValidateOutgoingMessage

    public boolean isAutoValidateOutgoingMessage()

  Method isAutoValidateOutgoingMessage.

  Specified by:
    `isAutoValidateOutgoingMessage` in interface `HL7ValidationControlInfoInterface`
  Returns:
    autoValidateOutgoingMessage

### getAutoValidateOutgoingMessage

    public boolean getAutoValidateOutgoingMessage()

  Method getAutoValidateOutgoingMessage.

  Specified by:
    `getAutoValidateOutgoingMessage` in interface `HL7ValidationControlInfoInterface`
  Returns:
    autoValidateOutgoingMessage

### setAutoValidateOutgoingMessage

    public void setAutoValidateOutgoingMessage(boolean b)

  Method setAutoValidateOutgoingMessage.

  Specified by:
    `setAutoValidateOutgoingMessage` in interface `HL7ValidationControlInfoInterface`
  Parameters:
    `b-boolean` - value true/false

### isAutoValidateIncomingMessage

    public boolean isAutoValidateIncomingMessage()

  Method isAutoValidateIncomingMessage.

  Specified by:
    `isAutoValidateIncomingMessage` in interface `HL7ValidationControlInfoInterface`
  Returns:
    autoValidateIncomingMessage

### getAutoValidateIncomingMessage

    public boolean getAutoValidateIncomingMessage()

  Method getAutoValidateIncomingMessage.

  Specified by:
    `getAutoValidateIncomingMessage` in interface `HL7ValidationControlInfoInterface`
  Returns:
    autoValidateIncomingMessage

### setAutoValidateIncomingMessage

    public void setAutoValidateIncomingMessage(boolean b)

  Method setAutoValidateIncomingMessage.

  Specified by:
    `setAutoValidateIncomingMessage` in interface `HL7ValidationControlInfoInterface`
  Parameters:
    `b-boolean` - value to set (true/false)

### isThrowExceptionUponValidationFailure

    public boolean isThrowExceptionUponValidationFailure()

  Method isThrowExceptionUponValidationFailure.

  Specified by:
    `isThrowExceptionUponValidationFailure` in interface `HL7ValidationControlInfoInterface`
  Returns:
    throwExceptionUponValidationFailure

### getThrowExceptionUponValidationFailure

    public boolean getThrowExceptionUponValidationFailure()

  Method getThrowExceptionUponValidationFailure.

  Specified by:
    `getThrowExceptionUponValidationFailure` in interface `HL7ValidationControlInfoInterface`
  Returns:
    throwExceptionUponValidationFailure

### setThrowExceptionUponValidationFailure

    public void setThrowExceptionUponValidationFailure(boolean b)

  Method setThrowExceptionUponValidationFailure.

  Specified by:
    `setThrowExceptionUponValidationFailure` in interface `HL7ValidationControlInfoInterface`
  Parameters:
    `b-boolean` - value to set (true/false).

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD